Skip to main content

Get Role For Sandbox And Role Id

GET 

/v1/sandbox/:sandbox_id/role/:role_id

Get Role for Sandbox, requires sandbox:config:view | sandbox:config:edit permission

Request

Path Parameters

    role_id uuidrequired
    sandbox_id uuidrequired

    Sandbox ID

Responses

Successful Response

Schema

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    sandbox_id uuid

    ID of the Sandbox

    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    custom_data

    object

    Custom data associated with the resource

    property name* string

    login_loot_rewards

    object[]

    List of login loot rewards for this role

  • Array [

  • loot_id uuidrequired

    Loot ID for this login loot reward tied to this role

    legacy_loot_id Legacy Loot Id (integer)

    Default value: 0

    Legacy loot ID for this login loot reward tied to this role

  • ]

  • role_id uuid

    Default value: 92635edf-5b05-4c0b-bb78-4ab28176b5f1

    Unique Identifier for this Role

    legacy_role_id Legacy Role Id (integer)

    Default value: 0

    Legacy role ID for this role

    auth_bypass Role Auth Bypass Method (string)

    Possible values: [none, locked, limited]

    Type of Auth Bypass.

Loading...